<?php
    if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }
    $inUser = cmsUser::getInstance();
    $inCore = cmsCore::getInstance();

    $mod_count['top']   = cmsCountModules('top');
    $mod_count['sidebar']  = cmsCountModules('sidebar');
    $mod_count['left']  = cmsCountModules('left');
    $mod_count['user1']  = cmsCountModules('user1');
    $mod_count['user3']  = cmsCountModules('user3');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <!-- HEAD !-->
    <?php cmsPrintHead(); ?>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1251"/>
    <?php if($inUser->is_admin){ ?>
        <script src="/admin/js/modconfig.js" type="text/javascript"></script>
        <script src="/templates/green/js/nyromodal.js" type="text/javascript"></script>
        <link href="/templates/green/css/modconfig.css" rel="stylesheet" type="text/css" />
        <link href="/templates/green/css/nyromodal.css" rel="stylesheet" type="text/css" />
    <?php } ?>
    <link href="/templates/green/css/reset.css" rel="stylesheet" type="text/css" />
    <link href="/templates/green/css/text.css" rel="stylesheet" type="text/css" />
    <link href="/templates/green/css/styles.css" rel="stylesheet" type="text/css" />
<style>
    #container {
	position: relative;
	width: 95%;
	margin: 0 auto;
	min-height: 100%;
    }
    #header {
	width: 100%;
	height: 210px;
	position:relative;
    min-width: 900px;
    }
    #center {
	padding: 0px;
	margin: 0px 0;
	height:auto;
	position:relative;
    min-width: 900px;
    }
	.clearfloat {
	clear: both;
    }
    .empty {
     height: 0px;
    }
     #footer {
	position: relative;
	width: 100%;
	height: 80px;
	margin: -80px auto 0;
	overflow:hidden;
    background: #629700;
    }
</style>
</head>
<body>
<div id="container">
    <div id="header">
        <div style="width: 100%; height: 30px;">
            <?php if (!$inUser->id){ ?>
                <div class="mod_user_menu">
                    <span class="register"><a href="/registration"></a></span>
                    <span class="login"><a href="/login"></a></span>
                </div>
            <?php } else { ?>
                <?php cmsModule('header'); ?>
            <?php } ?>
        </div>
        <div style="width: 100%; height: 120px;">
            <div id="sitename"><a href="/"></a></div>
        </div>
        <div style="width: 100%; height: 60px; overflow: hidden;">
            <table cellpadding="0" cellspacing="0" width="100%" border="0" style="height: 60px !important;">
                <tr>
                	<td width="12px" style="background: url(/templates/green/images/left_b_b.jpg);"></td>
                	<td style="background: url(/templates/green/images/big_f.jpg) repeat-x;" valign="top">
                            <div id="topmenu">
                                <?php cmsModule('topmenu'); ?>
                            </div>
                    </td>
                	<td width="12px"style="background: url(/templates/green/images/right_b_b.jpg);"></td>
                </tr>
            </table>
        </div>
    </div>
    <div id="center">
	   <div id="main" style="border: none; -moz-border-radius: 0 0 8px 8px; border-radius: 0 0 8px 8px">
            <?php cmsModule('top'); ?>
       </div>
       <div id="pathway">
             <?php cmsPathway('&rarr;'); ?>
       </div>
    <?php if ($mod_count['left']) { ?>
        <?php if ($mod_count['sidebar']){ ?>
            <div style="float:left; width:100%;">
                <div style="margin-left: 230px; margin-right: 230px">
                    <?php if($mod_count['user1']) {?>
                        <div id="main" style="padding: 5px;">
                            <div style="width: 48%; float: left;">
                                <?php cmsModule('user1'); ?>
                            </div>
                            <div style="width: 48%; float: right;">
                                <?php cmsModule('user2'); ?>
                            </div>
                            <div style="clear: both;"></div>
                        </div>
                    <?php } ?>             
                        <div id="main">
                            <?php cmsModule('maintop'); ?>
                            <?php $messages = cmsCore::getSessionMessages(); ?>
                            <?php if ($messages) { ?>
                            <div class="sess_messages">
                                <?php foreach($messages as $message){ ?>
                                    <?php echo $message; ?>
                            
                                <?php } ?>
                            </div>
                            <?php } ?>	

                            <?php cmsBody(); ?>
                            <?php cmsModule('mainbottom'); ?>
                        </div>
                    <?php if($mod_count['user3']) {?>
                        <div id="main" style="padding: 5px;">
                            <div style="width: 48%; float: left;">
                                <?php cmsModule('user3'); ?>
                            </div>
                            <div style="width: 48%; float: right;">
                                <?php cmsModule('user4'); ?>
                            </div>
                            <div style="clear: both;"></div>
                        </div>
                    <?php } ?>  
                </div>
            </div>
            <div style="float:left;width:230px;margin-left:-100%;">
                <div id="left">
                    <?php cmsModule('left'); ?>
                </div>
            </div>
            <div style="float:left;width:230px;margin-left:-230px;">
                <div id="sidebar">
                    <?php cmsModule('sidebar'); ?>
                </div>
            </div>
        <?php } else { ?>
            <div style="overflow: hidden;">
            	<div style="float:right; margin-right:-220px; width:100%;">
                	<div style="margin-right:220px;">
                        <div id="main" style="margin-left: 20px;">
                            <?php cmsModule('maintop'); ?>
                            <?php $messages = cmsCore::getSessionMessages(); ?>
                            <?php if ($messages) { ?>
                            <div class="sess_messages">
                                <?php foreach($messages as $message){ ?>
                                    <?php echo $message; ?>
                            
                                <?php } ?>
                            </div>
                            <?php } ?>
                            <?php cmsBody(); ?>
                            <?php cmsModule('mainbottom'); ?>
                        </div>
                	</div>
            	</div>
            	<div style="float:left; width:220px;">
                    <div id="left">
                        <?php cmsModule('left'); ?>
                    </div>
            	</div>
                <div style="clear: both;"></div>
            </div>
        <?php } ?>
    <?php } else { ?>
        <?php if ($mod_count['sidebar']){ ?>
	    <div>
            <div style="float:left; margin-left:-230px; width:100%;">
            	<div style="margin-left:230px;">
                        <div id="main" style=" margin-left: 10px;">
                            <?php cmsModule('maintop'); ?>
                            <?php $messages = cmsCore::getSessionMessages(); ?>
                            <?php if ($messages) { ?>
                            <div class="sess_messages">
                                <?php foreach($messages as $message){ ?>
                                    <?php echo $message; ?>
                            
                                <?php } ?>
                            </div>
                            <?php } ?>
                            <?php cmsBody(); ?>
                            <?php cmsModule('mainbottom'); ?>
                        </div>
            	</div>
            </div>
            <div style="float:right; width:230px;">
                    <div id="sidebar">
                        <?php cmsModule('sidebar'); ?>
                    </div>
            </div>
             <div class="clearfloat"></div>   
        </div>
        <?php } else { ?>
                        <div id="main" style="padding-top: 10px; margin-left: 10px;">
                            <?php cmsModule('maintop'); ?>
                            <?php $messages = cmsCore::getSessionMessages(); ?>
                            <?php if ($messages) { ?>
                            <div class="sess_messages">
                                <?php foreach($messages as $message){ ?>
                                    <?php echo $message; ?>
                            
                                <?php } ?>
                            </div>
                            <?php } ?>
                            <?php cmsBody(); ?>
                            <?php cmsModule('mainbottom'); ?>
                        </div>
        <?php } ?>
    <?php } ?>
        <!--  -->
        <div style="width: 100%; height: 90px; clear: both;"></div>
</div>
</div>
<div id="footer">
    <div style="width: 33%; overflow: hidden; float: left;">
        <div style="padding: 5px; padding-left: 45px;">
            <?php cmsModule('footer1'); ?>
        </div>
    </div>
    <div style="width: 33%; overflow: hidden; float: left;">
        <div style="text-align: center;">
            <div id="copyright"><?php cmsPrintSitename(); ?> &copy; <?php echo date('Y'); ?></div>
        </div>       
    </div>
    <div style="width: 33%; overflow: hidden; float: left;">
        <div style="padding: 5px; padding-right: 45px;">
            <?php cmsModule('footer2'); ?>
        </div>
    </div>
    <div style="clear: both;"></div>
</div>
<script type="text/javascript">
        $(document).ready(function(){
            $('#topmenu .menu li').hover(
                function() {
                    $(this).find('ul:first').show();
                    $(this).find('a:first').addClass("hover");
                },
                function() {
                    $(this).find('ul:first').hide();
                    $(this).find('a:first').removeClass("hover");
                }
            );
        });
</script>
</body>

</html>